From c2671b1d3e1c8f72868bdcceb0109affa79af104 Mon Sep 17 00:00:00 2001
From: Akash Mehrotra <mehrotra.akash@gmail.com>
Date: Sun, 7 Aug 2011 18:33:50 +0530
Subject: [PATCH 06/13] LUA: Aspect Ratio

---
 share/lua/http/requests/README.txt      |    4 ++++
 share/lua/intf/modules/httprequests.lua |    7 ++++++-
 2 files changed, 10 insertions(+), 1 deletions(-)

diff --git a/share/lua/http/requests/README.txt b/share/lua/http/requests/README.txt
index bdd0059..b9b2ae7 100644
--- a/share/lua/http/requests/README.txt
+++ b/share/lua/http/requests/README.txt
@@ -61,6 +61,10 @@ status.xml or status.json
 > set playback rate. must be > 0
   ?command=rate&val=<newplaybackrate>
 
+> set aspect ratio. Must be one of the following values. Any other value will reset aspect ratio to default
+  ?command=aspectratio&val=<newratio>
+  Valid aspect ratio values: 1:1 , 4:3 , 5:4 , 16:9 , 16:10 , 221:100 , 235:100 , 239:100 
+
 > sort playlist using sort mode <val> and order <id>:
   ?command=pl_sort&id=<id>&val=<val>
   If id=0 then items will be sorted in normal order, if id=1 they will be
diff --git a/share/lua/intf/modules/httprequests.lua b/share/lua/intf/modules/httprequests.lua
index c88b8b4..664ac1f 100644
--- a/share/lua/intf/modules/httprequests.lua
+++ b/share/lua/intf/modules/httprequests.lua
@@ -154,6 +154,10 @@ processcommands = function ()
 	  if vlc.object.input() then
 	   vlc.var.set(vlc.object.input(),"spu-delay",val)
 	  end
+	elseif command == "aspectratio" then
+	  if vlc.object.vout() then
+	   vlc.var.set(vlc.object.vout(),"aspect-ratio",val)
+	  end
 	end
 	
 	local input = nil
@@ -360,9 +364,10 @@ local aout = vlc.object.aout()
 		s.rate=1
 		s.subtitledelay=0
 	end
-	
 	if vout then
 		s.fullscreen=vlc.var.get(vout,"fullscreen")
+		s.aspectratio=vlc.var.get(vout,"aspect-ratio");
+		if s.aspectratio=="" then s.aspectratio = "default" end
 	else
 		s.fullscreen=0
 	end
-- 
1.7.4.1

